Updates the job_estimated_quantity object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "0f230d53-aa72-4a5a-9f45-369b8f81a1f6",
"estimated_quantity": 2.0,
"article_id": "1baa8737-1a04-4f23-a3a1-5e6d6a8eb416",
"article_code": "sample string 4",
"article": {
"id": "0fa8fb26-e37e-45f1-aaf4-7404d9110992",
"article_category_id": "733a1d8f-1249-454d-a20d-e5101db2f5c7",
"article_category": {
"id": "da4228b3-de5c-4ae1-a1ce-e591a03630db",
"parent_id": "3546a691-56ff-474d-b5fe-376132fbda95",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-25T15:08:26.7349966+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "fe9acb97-0115-4c1c-9b47-4ff6eb918e57",
"article_group_1_code": "sample string 5",
"article_group_2_id": "d4bbf554-e8ec-42d3-8f2e-c4821a36a520",
"article_group_2_code": "sample string 7",
"article_group_3_id": "249e25f3-5d60-4540-8288-9fcdf82802ae",
"article_group_3_code": "sample string 9",
"article_group_4_id": "b99b25a1-2a18-4f65-ab9c-69bf1dfe5f13",
"article_group_4_code": "sample string 11",
"article_group_5_id": "526bc6af-317f-4060-a2ef-93f2b69c832b",
"article_group_5_code": "sample string 13",
"article_group_6_id": "03512d0e-17b3-441e-91aa-2202989fd25d",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-25T15:08:26.7349966+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-25T15:08:26.7458435+00:00",
"date_update": "2026-10-25T15:08:26.7458435+00:00",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00",
"article_color_id": "7258aff0-3c41-405c-b599-6ae6c06edde1",
"article_color_code": "sample string 38",
"article_color": {
"id": "e4ce1c7e-9344-440b-b87b-39de42ddbce2",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "02fd3e1c-65fc-4d98-b809-7f03751ad1f6",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "faf66ab4-6244-4af8-99c9-f2f6b1932714",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "b4c0f2bb-ef01-4a1b-9bba-c7261f248fac",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "e57d392d-fa90-4fd3-8935-00b8a28f18b8",
"_parent_id": "3a4674a6-5df5-4ee6-b619-f908548bafd6",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "e8819e87-db71-4e0d-a1ac-564e04da481b",
"project_reference_back_office": "sample string 5",
"project": {
"id": "188037a2-04da-42ab-9c9c-a0a446addbc0",
"_parent_id": "03cb0107-cf1a-4c7a-b5a1-abb248062c6b",
"root_parent_id": "fcf19508-824d-4cda-b63f-54d57a12eb65",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "77d20d22-8eb8-4e17-af59-89a6cb1224a4",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "d21efcd2-98ea-40c9-87ec-36ab464a4472",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "103447c9-fe4a-4131-89a4-1a17aea2e52c",
"_parent_code": "sample string 6",
"sales_organization_id": "63603656-cdd4-41ef-a454-72ecc2dc7900",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"equipment_model_id": "49cb452a-5c63-4b85-9141-4e80f4efc2ed",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "3eeef525-19cd-4c8d-b12b-88882ed39478",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "c7d00989-44c7-4ce4-aae0-5bb5cedffd9a",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "80d7ad06-5043-451d-841d-746fc8276b54",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "919e9f60-88cd-41da-819f-4afe65d4de35",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"equipment_family_id": "a8acdf04-55a3-484c-841e-a757be0e388a",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "d21efcd2-98ea-40c9-87ec-36ab464a4472",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "103447c9-fe4a-4131-89a4-1a17aea2e52c",
"_parent_code": "sample string 6",
"sales_organization_id": "63603656-cdd4-41ef-a454-72ecc2dc7900",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"date_in_production_since": "2026-10-25T15:08:26.7458435+00:00",
"date_out_of_production_since": "2026-10-25T15:08:26.7458435+00:00",
"date_end_support": "2026-10-25T15:08:26.7458435+00:00",
"sales_organization_id": "90abceb9-5865-4975-b4e6-f68b4defb9b3",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"project_status_id": "09710959-e763-4e2a-b9e1-41b236645867",
"project_status_code": "sample string 10",
"project_status": {
"id": "d0891d33-2489-4235-ab67-865c456687f5",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "b6f0c6a7-9865-4315-8761-24c5c9882c88",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"company_id": "812f1d4f-3cb0-4359-8862-2ccde78f2454",
"company_code": "sample string 12",
"db_address_id": "dcc421ec-89d1-4e82-b1c7-4b9dc0a1c540",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "40311cd7-9d8d-4e86-abe3-452b8c3d8b21",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "70924317-e138-412c-b40d-d054cb79f4ef",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-25T15:08:26.7458435+00:00",
"date_create": "2026-10-25T15:08:26.7458435+00:00",
"date_update": "2026-10-25T15:08:26.7458435+00:00",
"updated_by_user_id": "3dfa2d3d-e9ef-42e1-916e-ebad2a72630a",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-25T15:08:26.7458435+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-25T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-25T15:08:26.7644194+00:00",
"date_last_job": "2026-10-25T15:08:26.7644194+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-25T15:08:26.7644194+00:00",
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00",
"is_mobile_installation": true
},
"job_type_id": "b652685e-7115-4410-9058-d7fdf468788d",
"job_type_code": "sample string 7",
"job_type": {
"id": "414805bc-1962-4e35-86d0-30d8bee7a280",
"name": "sample string 2",
"sales_organization_id": "9d50e9b8-f8d7-4f19-a732-9f2b45aaf46c",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00",
"code": "sample string 7"
},
"job_priority_id": "d9bbffaf-7ed8-4281-93de-2f2d0b61c678",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "9f65b599-71f2-46e4-b766-fc076267cf8b",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "808f1961-cc01-4faa-a5d6-913611911c4d",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00"
},
"job_status_id": "9e439aff-0206-4e21-a999-cfd1d101c5fd",
"job_status_code": "sample string 11",
"db_address_id": "5736dac2-bdfe-4c13-ad97-32cc7f81de3f",
"contact_id": "b5fdac3f-5e86-47aa-93bc-3e92b26ad74a",
"requested_by_company_id": "bac6448c-7278-4b7f-8b35-b9388ac3dbd1",
"requested_by_contact_id": "d3bd42c3-2de5-4360-9b54-252c64739238",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-25T15:08:26.7644194+00:00",
"due_date": "2026-10-25T15:08:26.7644194+00:00",
"date_create": "2026-10-25T15:08:26.7644194+00:00",
"date_update": "2026-10-25T15:08:26.7644194+00:00",
"date_closed": "2026-10-25T15:08:26.7644194+00:00",
"suggested_user_id": "a39f208f-2b77-4f65-8e4a-ec7278452290",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "15817098-e75c-4354-9d79-60fd923c7add",
"db_language_id": "510db678-df8a-453a-90cf-cf72f2e0d41e",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-25T15:08:26.7644194+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "f1129040-c60e-4fac-8ede-b3ba38f7fb5c",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "a312169b-1892-45bd-8f8f-09bb4c8a651b",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "f61e1cf0-5110-4ac8-a6f1-dfa71d712439",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "358ecd65-4dcd-46d0-9b75-9fbc0e5fff50"
},
"suggested_date_start": "2026-10-25T15:08:26.7644194+00:00",
"skill_id": "7dbc246c-7656-4b4d-b2c7-f8ee957f06c0",
"skill_code": "sample string 32",
"skill": {
"id": "854709b9-a18b-44ca-aca6-1d5415d62f96",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "559f6b76-f33e-40f6-a479-6ac24ba1e39e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1f97157c-7fec-4dfc-9a99-b904db5774f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "69559c10-6bac-4c08-ac28-e9e449220de4",
"db_currency_id": "810627ce-0724-4512-927b-4df9a6f55044",
"db_language_id": "38927778-7789-48a0-9999-13d8f5099aed",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:08:26.7458435+00:00"
},
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "8ad65464-5b66-4d47-b1db-04711defa3a4",
"date_reported_by_company": "2026-10-25T15:08:26.7644194+00:00",
"id2": 36,
"company_id": "a7ad828c-149c-4bf8-a035-5ff57d6ce1b4",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "fa3d061b-21d6-4039-96ff-8403b165eaca",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-25T15:08:26.7644194+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.